## ros-one-unique-id 1.0.6-9jammy.20251023.0044

=== debian/changelog ===
ros-one-unique-id (1.0.6-9jammy.20251023.0044) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 23 Oct 2025 00:44:06 +0000

ros-one-unique-id (1.0.6-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 04 Apr 2017 00:00:00 -0000

ros-one-unique-id (1.0.5-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 17 Apr 2015 00:00:00 -0000

ros-one-unique-id (1.0.4-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 30 Apr 2014 00:00:00 -0000

ros-one-unique-id (1.0.3-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 24 Jul 2013 00:00:00 -0000

ros-one-unique-id (1.0.2-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 18 Jul 2013 00:00:00 -0000

ros-one-unique-id (1.0.1-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 25 Mar 2013 00:00:00 -0000

ros-one-unique-id (1.0.0-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 18 Mar 2013 00:00:00 -0000

ros-one-unique-id (0.9.0-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 03 Jan 2013 00:00:00 -0000

ros-one-unique-id (0.8.0-0jammy) jammy; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 19 Jul 2012 00:00:00 -0000

## ros-one-unique-id 1.0.6-9jammy.20260220.2142

=== debian/changelog ===
ros-one-unique-id (1.0.6-9jammy.20260220.2142) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 20 Feb 2026 21:42:07 +0000

## ros-one-unique-id 1.0.6-9noble.20251023.0042

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(unique_id)

find_package(catkin REQUIRED COMPONENTS roscpp rospy uuid_msgs)
find_package(Boost REQUIRED)
include_directories(include ${catkin_INCLUDE_DIRS})

catkin_python_setup()
catkin_package(INCLUDE_DIRS include
               CATKIN_DEPENDS uuid_msgs
               DEPENDS Boost)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# unit tests
if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
### Unit tests
#
#   Only configured when CATKIN_ENABLE_TESTING is true.

# C++ gtests
catkin_add_gtest(test_${PROJECT_NAME}
                 test_${PROJECT_NAME}.cpp
                 second_test_${PROJECT_NAME}.cpp)
add_dependencies(test_${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(test_${PROJECT_NAME}
                      ${Boost_LIBRARIES}
                      ${catkin_LIBRARIES})

# Python nose tests
catkin_add_nosetests(test_${PROJECT_NAME}.py)

=== debian/changelog ===
ros-one-unique-id (1.0.6-9noble.20251023.0042) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 23 Oct 2025 00:42:39 +0000

ros-one-unique-id (1.0.6-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Tue, 04 Apr 2017 00:00:00 -0000

ros-one-unique-id (1.0.5-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 17 Apr 2015 00:00:00 -0000

ros-one-unique-id (1.0.4-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 30 Apr 2014 00:00:00 -0000

ros-one-unique-id (1.0.3-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Wed, 24 Jul 2013 00:00:00 -0000

ros-one-unique-id (1.0.2-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 18 Jul 2013 00:00:00 -0000

ros-one-unique-id (1.0.1-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 25 Mar 2013 00:00:00 -0000

ros-one-unique-id (1.0.0-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Mon, 18 Mar 2013 00:00:00 -0000

ros-one-unique-id (0.9.0-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 03 Jan 2013 00:00:00 -0000

ros-one-unique-id (0.8.0-0noble) noble; urgency=high



 -- Jack O'Quin <jack.oquin@gmail.com>  Thu, 19 Jul 2012 00:00:00 -0000

=== debian/control ===
Source: ros-one-unique-id
Section: misc
Priority: optional
Maintainer: Jack O'Quin <jack.oquin@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin, ros-one-roscpp, ros-one-rospy, ros-one-uuid-msgs
Homepage: http://ros.org/wiki/unique_id
Standards-Version: 3.9.2

Package: ros-one-unique-id
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-roscpp, ros-one-rospy, ros-one-uuid-msgs
Description: ROS Python and C++ interfaces for universally unique identifiers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-unique-id//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-unique-id 1.0.6-9noble.20260220.2148

=== debian/changelog ===
ros-one-unique-id (1.0.6-9noble.20260220.2148) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Jack O'Quin <jack.oquin@gmail.com>  Fri, 20 Feb 2026 21:48:54 +0000
